### Constructor

# ICalGLib Component new_iana

since: 4.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_new_iana (
      const gchar* iana_name
    )

#### Description [src]

Creates a new `ICalComponent` with an IANA component name.

Available since: 4.0

#### Parameters

`iana_name`

  Type: `const gchar*`

  The IANA name of the component.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalComponent`

The newly created `ICalComponent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.